# gethistory

returns current scilab history in a string matrix

## Calling Sequence

    matstr=gethistory()
                line=gethistory(N)

## Arguments

matstr

  a string matrix

N

  Nth line in scilab's history

line

  a string

## Description

returns current scilab history in a string matrix.

## Examples

    gethistory(1) // Return the last line
    gethistory() // Return all the line

## See Also

- savehistory
- loadhistory
- resethistory